QGIS Application - Bug report #19570
Raster terrain analysis Relief Crashes QGIS
2018-08-08 08:25 PM - Michael Knopp

Status: Closed

Priority: Normal
Assignee:

Category: Processing/Core

Affected QGIS version:3.2.1

Operating System: Windows 7 Enterprise Service Pack 1

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 27397

Description

When | try and run the Relief process in the Raster terrain analysis group on a .bil raster DEM of SRTM data it crashes QGIS when ran as

"Run in Background".

| have tried this on three different DEM files in a project with other layers and in a new project where the DEM is the only layer. It crashes

every time.

| have tried checking the "Generate relief classes automatically" and defining my own colors by hand.

I have ran the GDAL Color relief process and it works just fine. | have also ran the Aspect, Hillshade, and Slope under Raster terrain

analysis group and they all function just fine.

| loaded the DEM into QGIS 2.18.22 and ran the Raster Terrain Analysis Relief there and it worked just fine. Also, when it is ran as a

batch process in 3.2.1 it works just fine.

Associated revisions

Revision c860696a - 2018-08-09 11:17 AM - Nyall Dawson

Fix crash in relief calculation when exporting distribution to csv

Fixes #19570

Revision d39bdcda - 2018-08-09 11:17 AM - Nyall Dawson

[processing] Don't create frequency distribution file for relief
algorithm by default

Refs #19570

Revision 1fe1a99e - 2018-08-10 02:43 AM - Nyall Dawson

Fix crash in relief calculation when exporting distribution to csv

Fixes #19570

(cherry-picked from c860696)
Revision e39cb4c3 - 2018-08-10 02:43 AM - Nyall Dawson

[processing] Don't create frequency distribution file for relief
algorithm by default

Refs #19570

(cherry-picked from d39bdcd)

History

#1 - 2018-08-09 03:57 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you share your files? | can't reproduce here.

#2 - 2018-08-09 05:37 AM - Michael Knopp
- File Screencap 003.png added

- File n06_e126_1arc_v3_bil.zip added

- File Screencap 001.png added

- File Screencap 002.png added

Sure.

| am attaching the zip file with the .bil SRTM data inside of it. | am also attaching three screen caps showing the setup that | tested and the resulting greyed

out program just before it crashes.

Let me know if there is anything else that | can do to help.

#3 - 2018-08-09 08:49 AM - Nyall Dawson
- Status changed from Feedback to Open

Thanks -- | can reproduce with that dataset

#4 - 2018-08-09 11:17 AM - Nyall Dawson
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|c860696a3ec8d23e90cebc2466975400ae301f73.

#5 - 2018-08-09 02:07 PM - Giovanni Manghi

- Resolution set to fixed/implemented

#6 - 2018-08-10 01:43 AM - Nyall Dawson
If you're looking for a quick workaround which works in 3.2.1 - set the "frequency distribution file" to "skip output” in the algorithm dialog.

#7 - 2018-08-10 09:57 PM - Michael Knopp

Nyall,

Thank you, but | already processed them through the Batch processing.

Files

Screencap 001.png 214 KB 2018-08-09 Michael Knopp
Screencap 002.png 66.2 KB 2018-08-09 Michael Knopp
n06_e126_1arc_v3_bil.zip 1.71 MB 2018-08-09 Michael Knopp
Screencap 003.png 168 KB 2018-08-09 Michael Knopp
